Get order
curl --request GET \
--url https://relay.bayse.markets/v1/pm/orders/{orderId}import requests
url = "https://relay.bayse.markets/v1/pm/orders/{orderId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://relay.bayse.markets/v1/pm/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"side": "BUY",
"orderType": "LIMIT",
"stpMode": "SKIP",
"status": "partial_filled",
"amount": 100,
"price": 0.70,
"size": 100,
"filledSize": 45,
"remainingSize": 55,
"avgFillPrice": 0.70,
"fee": 0.90,
"currency": "USD",
"createdAt": "2026-02-17T12:00:00Z",
"updatedAt": "2026-02-17T12:03:00Z"
}
{
"error": "not_found",
"message": "Order not found",
"statusCode": 404
}
Trading
Get order
Get details of a specific order
GET
/
v1
/
pm
/
orders
/
{orderId}
Get order
Authentication
Read authentication required —X-Public-Key header.
Path parameters
UUID of the order.
Example request
curl "https://relay.bayse.markets/v1/pm/orders/f6a7b8c9-d0e1-2345-fabc-678901234567" \
-H "X-Public-Key: pk_live_abcdef123456"
const orderId = 'f6a7b8c9-d0e1-2345-fabc-678901234567';
const response = await fetch(
`https://relay.bayse.markets/v1/pm/orders/${orderId}`,
{ headers: { 'X-Public-Key': 'pk_live_abcdef123456' } }
);
const order = await response.json();
import requests
order_id = 'f6a7b8c9-d0e1-2345-fabc-678901234567'
resp = requests.get(
f'https://relay.bayse.markets/v1/pm/orders/{order_id}',
headers={'X-Public-Key': 'pk_live_abcdef123456'},
)
order = resp.json()
req, _ := http.NewRequest(
"GET",
"https://relay.bayse.markets/v1/pm/orders/f6a7b8c9-d0e1-2345-fabc-678901234567",
nil,
)
req.Header.Set("X-Public-Key", "pk_live_abcdef123456")
resp, _ := http.DefaultClient.Do(req)
Response
Returns a single order object. See Place order for the full field reference.{
"id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"marketId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"outcome": "YES",
"side": "BUY",
"orderType": "LIMIT",
"stpMode": "SKIP",
"status": "partial_filled",
"amount": 100,
"price": 0.70,
"size": 100,
"filledSize": 45,
"remainingSize": 55,
"avgFillPrice": 0.70,
"fee": 0.90,
"currency": "USD",
"createdAt": "2026-02-17T12:00:00Z",
"updatedAt": "2026-02-17T12:03:00Z"
}
{
"error": "not_found",
"message": "Order not found",
"statusCode": 404
}
⌘I